
// (c) COPYRIGHT URI/MIT 1999
// Please read the full copyright statement in the file COPYRIGHT.
//
// Authors: James Gallagher


// $Log: DSPFloat32.cc,v $
// Revision 1.2  1999/04/30 21:32:46  jimg
// Merged no-gnu and release-2-17
//
// Revision 1.1  1999/03/26 22:56:22  jimg
// Added. These are stub classes
//

#include "config_dsp.h"

static char rcsid[]={"$Id: DSPFloat32.cc,v 1.2 1999/04/30 21:32:46 jimg Exp $"};

#ifdef __GNUG__
#pragma implementation
#endif

#include <assert.h>

#include "DSPFloat32.h"

Float32 *
NewFloat32(const string &n)
{
    return new DSPFloat32(n);
}

DSPFloat32::DSPFloat32(const string &n) : Float32(n)
{
}

BaseType *
DSPFloat32::ptr_duplicate()
{
    return new DSPFloat32(*this); // Copy ctor calls duplicate to do the work
}
 
bool
DSPFloat32::read(const string &, int &error)
{
    error = 1;
    return false;
}
