// -*- C++ -*-

// (c) COPYRIGHT URI/MIT 1994-1996
// Please read the full copyright statement in the file COPYRIGH.  
//
// Authors:
//      reza            Reza Nekovei (reza@intcomm.net)

// DSP sub-class implementation for DSPByte,...DSPGrid.
// The files are patterned after the subcalssing examples 
// Test<type>.c,h files.
//
// ReZa 8/25/96

/* $Log: DSPStructure.h,v $
/* Revision 1.2  1999/04/30 21:32:46  jimg
/* Merged no-gnu and release-2-17
/*
/* Revision 1.1.18.1  1999/02/10 06:28:58  brent
/* convert to Standard C++ strings -- b^2
/*
/* Revision 1.1  1996/09/18 22:42:12  reza
/*  First release of DODS-DSP servers.
/*
*/

#ifndef _DSPStructure_h
#define _DSPStructure_h 1

#ifdef _GNUG_
#pragma interface
#endif

#include "Structure.h"
extern Structure * NewStructure(const string &n = (char *)0);

class DSPStructure: public Structure {
public:
    DSPStructure(const string &n = (char *)0);
    virtual ~DSPStructure();

    virtual BaseType *ptr_duplicate();

    virtual bool read(const string &dataset, int &error);
};

#endif
